Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OS_NS_strings.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/os_strings.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_strings.inl"`

Include dependency graph for OS_NS_strings.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_OS
## Defines
#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline
## Functions
ACE_NAMESPACE_INLINE_FUNCTION int | strcasecmp (const char *s, const char *t)
| Compares two strings (case insensitive const char version).
ACE_NAMESPACE_INLINE_FUNCTION int | strcasecmp (const wchar_t *s, const wchar_t *t)
| Compares two strings (case insensitive const wchar_t version).
ACE_NAMESPACE_INLINE_FUNCTION int | strncasecmp (const char *s, const char *t, size_t len)
| Compares two arrays (case insensitive const char version).
ACE_NAMESPACE_INLINE_FUNCTION int | strncasecmp (const wchar_t *s, const wchar_t *t, size_t len)
| Compares two arrays (case insensitive const wchar_t version).
ACE_Export int | strcasecmp_emulation (const char *s, const char *t)
| Emulated strcasecmp - Performs a case insensitive comparison of strings.
ACE_Export int | strncasecmp_emulation (const char *s, const char *t, size_t len)
| Emulated strncasecmp - Performs a case insensitvie comparison of arrays.

## Detailed Description

Id
  OS_NS_strings.h,v 1.5 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_NAMESPACE_INLINE_FUNCTION int strcasecmp | ( | const wchar_t * | s,
|  | const wchar_t * | t
| ) |

| Compares two strings (case insensitive const wchar_t version).

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE_OS::strcasecmp | ( | const char * | s,
|  | const char * | t
| ) |

| Compares two strings (case insensitive const char version).

ACE_BEGIN_VERSIONED_NAMESPACE_DECL int ACE_OS::strcasecmp_emulation | ( | const char * | s,
|  | const char * | t
| ) |

| Emulated strcasecmp - Performs a case insensitive comparison of strings.

ACE_NAMESPACE_INLINE_FUNCTION int strncasecmp | ( | const wchar_t * | s,
|  | const wchar_t * | t,
|  | size_t | len
| ) |

| Compares two arrays (case insensitive const wchar_t version).

ACE_INLINE int ACE_OS::strncasecmp | ( | const char * | s,
|  | const char * | t,
|  | size_t | len
| ) |

| Compares two arrays (case insensitive const char version).

int ACE_OS::strncasecmp_emulation | ( | const char * | s,
|  | const char * | t,
|  | size_t | len
| ) |

| Emulated strncasecmp - Performs a case insensitvie comparison of arrays.